glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Glib::ArrayHandler< bool > Class Template Reference

`#include <glibmm/vectorutils.h>`

## Public Types
using | CType = gboolean
using | CppType = bool
using | VectorType = std::vector< bool >
typedef Glib::Container_Helpers::ArrayKeeper< Glib::Container_Helpers::TypeTraits< bool > > | ArrayKeeperType
typedef Glib::Container_Helpers::ArrayIterator< Glib::Container_Helpers::TypeTraits< bool > > | ArrayIteratorType

## Static Public Member Functions
static VectorType | array_to_vector (const CType* array, std::size_t array_size, Glib::OwnershipType ownership)
static VectorType | array_to_vector (const CType* array, Glib::OwnershipType ownership)
static ArrayKeeperType | vector_to_array (const VectorType& vector)

## Member Typedef Documentation

typedef Glib::Container_Helpers::ArrayIterator<Glib::Container_Helpers::TypeTraits<bool> > Glib::ArrayHandler< bool >::ArrayIteratorType

typedef Glib::Container_Helpers::ArrayKeeper<Glib::Container_Helpers::TypeTraits<bool> > Glib::ArrayHandler< bool >::ArrayKeeperType

using Glib::ArrayHandler< bool >::CppType = bool

using Glib::ArrayHandler< bool >::CType = gboolean

using Glib::ArrayHandler< bool >::VectorType = std::vector<bool>

## Member Function Documentation

static VectorType Glib::ArrayHandler< bool >::array_to_vector | ( | const CType* | array,
|  | std::size_t | array_size,
|  | Glib::OwnershipType | ownership
| ) |  |
| static

static VectorType Glib::ArrayHandler< bool >::array_to_vector | ( | const CType* | array,
|  | Glib::OwnershipType | ownership
| ) |  |
| static

static ArrayKeeperType Glib::ArrayHandler< bool >::vector_to_array | ( | const VectorType& | vector | ) |
| static